.container {
    width: 1200px;
    margin-top: 20px;
    border: 2px;
    display: flex;
    flex-direction: row;
    margin-bottom: 80px;
}

//navbar
.nav-bar {
    width: 300px;
    height: 500px;
    display: flex;
    flex-direction: column;
    background-color: white;
}

.top {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 60px;
    margin-top: 20px;
    padding-left: 36px;
    margin-bottom: 20px;
}

.avatar {
    width: 60px;
    height: 60px;
    border-radius: 30px;
    object-fit: cover;
}

.username {
    font-size: 1.8rem;
    font-weight: 600;
    margin-left: 24px;
}

//nav item
.wrapper {
    width: 300px;
    height: 50px;
    background-color: white;
    border: 1px solid #ededed;
    padding-left: 24px;
    display: flex;
    flex-direction: row;
    align-items: center;

    &:hover {
        cursor: pointer;
        background-color: #f0f0f0;
    }
}

.nav-icon {
    font-size: 2.0rem;
    text-align: center;
    width: 30px;
}

.display {
    margin-left: 12px;
    font-weight: 400;
}

.active {
    color: #e94560;
    border-color: transparent;
}

//content
.content {
    width: 900px;
}

//profile
.profile_wrapper {
    width: 890px;
    height: 800px;
    margin-left: 10px;
    background-color: white;
}

.profile_header {
    width: 860px;
    height: 80px;
    margin-left: 20px;
    border-bottom: 1px solid #ededed;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.profile_title {
    color: #333333;
    font-size: 2.4rem;
}

.profile_content {
    display: flex;
    flex-direction: row;
    width: 890px;
    height: 500px;
}

.profile_infor {
    width: 550px;
    height: 400px;
    display: flex;
    flex-direction: column;
}

.profile_row {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-top: 20px;
}

.profile_label {
    width: 150px;
    text-align: right;
    padding-right: 16px;
}

.profile_border {
    height: 40px;
    width: 380px;
    background-color: red;
    border-radius: 1px;
    border: 1px solid #d4d4d4;
    display: flex;
    flex-direction: row;

    &:focus-within {
        border-color: #333333;
    }
}

.profile_input {
    height: 38px;
    padding-left: 12px;
    flex: 1;
}

.profile_border_2 {
    width: 80px;
    height: 40px;
    border-radius: 1px;
    background-color: red;
    border: 1px solid #d4d4d4;
    display: flex;
    flex-direction: row;

    &:focus-within {
        border-color: #333333;
    }
}

.profile_input_2 {
    height: 38px;
    width: 78px;
    text-align: center;
}

.profile_space {
    margin-left: 31px;
    margin-right: 30px;
}

.profile_save {
    width: 200px;
    height: 40px;
    margin-left: 150px;
    margin-top: 20px;
    font-size: 1.8rem;
    color: white;
    background-color: #e94560;
    border-radius: 2px;

    &:hover {
        cursor: pointer;
        opacity: 0.8;
    }
}

.profile_username {
    font-size: 1.6rem;
}

.profile_image {
    display: flex;
    width: 350px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.profile_img {
    width: 120px;
    height: 120px;
    object-fit: cover;
    border-radius: 60px;
    margin-top: 80px;

    &:hover {
        cursor: pointer;
    }
}

.profile_choose {
    width: 120px;
    height: 40px;
    background-color: white;
    border: 1px solid #e94560;
    margin-top: 40px;

    &:hover {
        cursor: pointer;
        opacity: 0.6;
    }
}

//address
.address_wrapper {
    width: 890px;
    height: 800px;
    margin-left: 10px;
    background-color: white;
}

.address_header {
    width: 860px;
    height: 80px;
    margin-left: 20px;
    border-bottom: 1px solid #ededed;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.address_title {
    color: #333333;
    font-size: 2.4rem;
}

.address_add {
    width: 200px;
    height: 46px;
    font-size: 1.6rem;
    color: white;
    background-color: #e94560;
    border-radius: 2px;
    margin-right: 12px;

    &:hover {
        cursor: pointer;
        opacity: 0.8;
    }
}

//history
.history_wrapper {
    width: 890px;
    margin-left: 10px;
    background-color: white;
    padding-bottom: 20px;
}

.history_header {
    width: 860px;
    height: 80px;
    margin-left: 20px;
    border-bottom: 1px solid #ededed;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.history_title {
    color: #333333;
    font-size: 2.4rem;
}

.history_add {
    width: 200px;
    height: 46px;
    font-size: 1.6rem;
    color: white;
    background-color: #e94560;
    border-radius: 2px;
    margin-right: 12px;

    &:hover {
        cursor: pointer;
        opacity: 0.8;
    }
}

.history_content {
    display: flex;
    flex-direction: column;
}

//item_history
.item_history_wrapper {
    width: 850px;
    margin-left: 20px;
    margin-top: 10px;
    border: 1px solid green;
}

.item_history_header {
    width: 800px;
    height: 50px;
    border-bottom: 1px solid #797979;
    margin-left: 25px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.item_history_content {
    width: 800px;
    margin-left: 25px;
    display: flex;
    flex-direction: column;
}

.item_history_infor {
    width: 800px;
    display: flex;
    flex-direction: row;
    margin-left: 25px;
}


//item
.item_wrapper {
    width: 800px;
    height: 95px;
    padding-bottom: 15px;
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid #DEDFDE;

    &:hover {
        cursor: pointer;
    }
}

.item_image {
    width: 76px;
    height: 76px;
    object-fit: cover;
}

.item_infor {
    height: 80px;
    width: 575px;
    display: flex;
    flex-direction: column;
    padding-left: 10px;
}

.item_name {
    font-size: 1.8rem;
    font-weight: 400px;
}

.item_left {
    width: 150px;
    height: 80px;
    display: flex;
    flex-direction: column;
    padding-top: 20px;
}

.item_price {
    width: 150px;
    font-size: 1.4rem;
    color: #7e7e7e;
    text-align: right;
    padding-right: 10px;
    text-decoration: line-through;
}

.item_newprice {
    width: 150px;
    text-align: right;
    padding-right: 10px;
    color: #e94560;
    line-height: 3.0rem;
}